ALSA project - the C library reference

Data Fields
snd_seq_ev_note_t Struct Reference
MIDI Sequencer » Sequencer Event Definitions

`#include <seq_event.h>`

## Data Fields
unsigned char | channel
unsigned char | note
unsigned char | velocity
unsigned char | off_velocity
unsigned int | duration

## Detailed Description

Note event

## Field Documentation

## ◆ channel

unsigned char snd_seq_ev_note_t::channel

channel number

## ◆ duration

unsigned int snd_seq_ev_note_t::duration

duration until note-off; only for SND_SEQ_EVENT_NOTE

## ◆ note

unsigned char snd_seq_ev_note_t::note

note

## ◆ off_velocity

unsigned char snd_seq_ev_note_t::off_velocity

note-off velocity; only for SND_SEQ_EVENT_NOTE

## ◆ velocity

unsigned char snd_seq_ev_note_t::velocity

velocity

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-300/media/alsa-lib/1.2.8/.x86_64-glibc/intel-pc64/alsa-lib-1.2.8/include/seq_event.h